#ifndef __CACHE_H_
#define __CACHE_H_

#define CACHE_SIZE 32

typedef struct {
    unsigned long id,idold;
    int u0,v0;
    int u1,v1;
    BITMAP *tex;
} Cache;

int CacheInit();
void CacheClose();
Cache *CacheGet(unsigned long id, int u0, int v0, int u1, int v1);
void CacheChanged(int x0, int y0, int x1, int y1);
void CacheClear();

#endif