// CfgDlg.cpp : implementation file
//

#include "CfgDlg.h"
#include <windowsx.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CfgDlg dialog

long CALLBACK GPUconfigure(void) {
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	CfgDlg myDlg(NULL);
	myDlg.DoModal();
	return 0;
}

CfgDlg::CfgDlg(CWnd* pParent)
	: CDialog(CfgDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CfgDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CfgDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CfgDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CfgDlg, CDialog)
	//{{AFX_MSG_MAP(CfgDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CfgDlg message handlers

#define SetKeyV(name, var, s, t) \
	RegSetValueEx(myKey, name, 0, t, (LPBYTE) var, s);

static char disp[8];
class CString text;

void CfgDlg::OnOK() 
{
	HKEY myKey;
	DWORD myDisp;

	UserC.FpsCount = (SendDlgItemMessage(IDC_FPSCOUNT, BM_GETCHECK)==BST_CHECKED)?1:0;
	UserC.FrameSkip = (SendDlgItemMessage(IDC_FRAMESKIP, BM_GETCHECK)==BST_CHECKED)?1:0;
	UserC.VSync = (SendDlgItemMessage(IDC_VSYNC, BM_GETCHECK)==BST_CHECKED)?1:0;
	UserC.Stretch = (SendDlgItemMessage(IDC_STRETCH, BM_GETCHECK)==BST_CHECKED)?1:0;
	UserC.AlterDsp = SendDlgItemMessage(IDC_ALTERDSP, CB_GETCURSEL) - 1;
	GetDlgItemText(IDC_EDITW, text);
	UserC.DispW = atoi(text);
	GetDlgItemText(IDC_EDITH, text);
	UserC.DispH = atoi(text);

	RegCreateKeyEx(HKEY_CURRENT_USER,"Software\\Vision Thing\\PSEmu Pro\\GPU\\Alleg-LinuzAppz",0,NULL,REG_OPTION_NON_VOLATILE,KEY_ALL_ACCESS,NULL,&myKey,&myDisp);
	SetKeyV("FpsCount", &UserC.FpsCount, sizeof(DWORD), REG_DWORD);
	SetKeyV("AlterDsp", &UserC.AlterDsp, sizeof(DWORD), REG_DWORD);
	SetKeyV("VSync", &UserC.VSync, sizeof(DWORD), REG_DWORD);
	SetKeyV("Stretch", &UserC.Stretch, sizeof(DWORD), REG_DWORD);
	SetKeyV("FrameSkip", &UserC.FrameSkip, sizeof(DWORD), REG_DWORD);
	SetKeyV("DispW", &UserC.DispW, sizeof(DWORD), REG_DWORD);
	SetKeyV("DispH", &UserC.DispH, sizeof(DWORD), REG_DWORD);
	RegCloseKey(myKey);
	
	CDialog::OnOK();
}

#define QueryKeyV(s, name, var) \
	size = s; \
	RegQueryValueEx(myKey, name, 0, &type, (LPBYTE) var, &size);

BOOL CfgDlg::OnInitDialog() 
{
	HKEY myKey;
	DWORD type;
	DWORD size;

	// default config
	memset(&UserC, 0, sizeof(UserC));
	UserC.DispW = DEF_WIDTH;
	UserC.DispH = DEF_HEIGHT;
	UserC.AlterDsp = -1;

	if (RegOpenKeyEx(HKEY_CURRENT_USER,"Software\\Vision Thing\\PSEmu Pro\\GPU\\Alleg-Linuzappz",0,KEY_ALL_ACCESS,&myKey)==ERROR_SUCCESS) {
		QueryKeyV(sizeof(DWORD), "FpsCount", &UserC.FpsCount);
		QueryKeyV(sizeof(DWORD), "AlterDsp", &UserC.AlterDsp);
		QueryKeyV(sizeof(DWORD), "FrameSkip", &UserC.FrameSkip);
		QueryKeyV(sizeof(DWORD), "VSync", &UserC.VSync);
		QueryKeyV(sizeof(DWORD), "DispW", &UserC.DispW);
		QueryKeyV(sizeof(DWORD), "DispH", &UserC.DispH);
		QueryKeyV(sizeof(DWORD), "Stretch", &UserC.Stretch);
		RegCloseKey(myKey);
	}

	CDialog::OnInitDialog();

	SendDlgItemMessage(IDC_FPSCOUNT, BM_SETCHECK, UserC.FpsCount==1 ? BST_CHECKED: BST_UNCHECKED, 0);
	SendDlgItemMessage(IDC_FRAMESKIP, BM_SETCHECK, UserC.FrameSkip==1 ? BST_CHECKED: BST_UNCHECKED, 0);
	SendDlgItemMessage(IDC_STRETCH, BM_SETCHECK, UserC.Stretch==1 ? BST_CHECKED: BST_UNCHECKED, 0);
	SendDlgItemMessage(IDC_VSYNC, BM_SETCHECK, UserC.VSync==1 ? BST_CHECKED: BST_UNCHECKED, 0);
	SendDlgItemMessage(IDC_ALTERDSP, CB_SETCURSEL, UserC.AlterDsp+1, 0);
	sprintf(disp,"%d",UserC.DispW);
	SetDlgItemText(IDC_EDITW, disp);
	sprintf(disp,"%d",UserC.DispH);
	SetDlgItemText(IDC_EDITH, disp);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
